import request from '@/utils/request'

// 查询质量月报S6301列表
export function listS6301(query) {
  return request({
    url: '/production/s6301/list',
    method: 'get',
    params: query
  })
}

// 查询质量月报S6301详细
export function getS6301(id) {
  return request({
    url: '/production/s6301/' + id,
    method: 'get'
  })
}

// 新增质量月报S6301
export function addS6301(data) {
  return request({
    url: '/production/s6301',
    method: 'post',
    data: data
  })
}

// 修改质量月报S6301
export function updateS6301(data) {
  return request({
    url: '/production/s6301',
    method: 'put',
    data: data
  })
}

// 删除质量月报S6301
export function delS6301(id) {
  return request({
    url: '/production/s6301/' + id,
    method: 'delete'
  })
}

// 导出质量月报S6301
export function exportS6301(query) {
  return request({
    url: '/production/s6301/export',
    method: 'get',
    params: query
  })
}